none
The package version number must be less than

    Question

  • Hi,

    I got this message after uploading a new package:

    "Validation error:    The package version number must be less than v3.0.0.36. Learn more"

    I wanted to upload v3.2.0.24 and the old version was v2.1.2.23.

    I pressed on "Learn more" but this error wasn't mentioned there. What is the problem here?

    Best Regards

    Patrick

    Sunday, January 19, 2014 10:50 PM

Answers

  • Hi Patrick, Do you have Windows 8 and Windows 8.1 packages in your application?

    Here are couple of Package versioning rules to follow:

    1. Windows 8 package versions should be less than Windows 8.1 package versions

    2. Package version can't be lower than version of already published packages for the same Windows version

    Can you please check the package versions against these rules?

    Thank you. Lidia

    • Proposed as answer by Dave SmitsMVP Wednesday, January 22, 2014 7:20 AM
    • Marked as answer by aiPatrick Wednesday, January 22, 2014 12:36 PM
    Wednesday, January 22, 2014 5:55 AM

All replies

  • Hi Patrick, Do you have Windows 8 and Windows 8.1 packages in your application?

    Here are couple of Package versioning rules to follow:

    1. Windows 8 package versions should be less than Windows 8.1 package versions

    2. Package version can't be lower than version of already published packages for the same Windows version

    Can you please check the package versions against these rules?

    Thank you. Lidia

    • Proposed as answer by Dave SmitsMVP Wednesday, January 22, 2014 7:20 AM
    • Marked as answer by aiPatrick Wednesday, January 22, 2014 12:36 PM
    Wednesday, January 22, 2014 5:55 AM
  • Hi,

    thank you. I suppose the problem was that the version in the store was 3.1 (Win 8.1) and I wanted to upload 3.2 (Win 8). But I already uploaded 3.2 (Win 8.1) before that?

    I think this isn't very good. I update my app for Win 8 the same way I update it for Win 8.1. Why do I have to have a lower version on this app? But I suppose you won't change anything there.

    You might want to mention the "1." on the "Learn more" page.

    Thanks again.


    • Edited by aiPatrick Wednesday, January 22, 2014 12:37 PM
    Wednesday, January 22, 2014 12:36 PM